package de.uulm.omi.dbms.evlautor.server.api;

import de.uulm.omi.dbms.evlautor.server.api.*;
import de.uulm.omi.cloudiator.dbms.evaluator.model.*;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;

import de.uulm.omi.cloudiator.dbms.evaluator.model.Cloud;
import de.uulm.omi.cloudiator.dbms.evaluator.model.CloudConfiguration;
import de.uulm.omi.cloudiator.dbms.evaluator.model.Error;
import de.uulm.omi.cloudiator.dbms.evaluator.model.Hardware;
import de.uulm.omi.cloudiator.dbms.evaluator.model.Image;
import de.uulm.omi.cloudiator.dbms.evaluator.model.Location;
import de.uulm.omi.cloudiator.dbms.evaluator.model.VM;

import java.util.List;
import de.uulm.omi.dbms.evlautor.server.api.NotFoundException;

import java.io.InputStream;

import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.validation.constraints.*;
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2020-05-19T16:46:41.854+02:00")
public abstract class TemplateApiService {
    public abstract Response templateCloudGet(SecurityContext securityContext) throws NotFoundException;
    public abstract Response templateCloudPost( @NotNull String api, @NotNull String apiVersion, @NotNull String user, @NotNull String secret,CloudConfiguration cloudConfiguration, String apiEndpoint,SecurityContext securityContext) throws NotFoundException;
    public abstract Response templateHardwareGet(SecurityContext securityContext) throws NotFoundException;
    public abstract Response templateImageGet( @NotNull String imageDistribution, @NotNull String imageVersion,SecurityContext securityContext) throws NotFoundException;
    public abstract Response templateLocationGet(SecurityContext securityContext) throws NotFoundException;
    public abstract Response templateVmGet( @NotNull Long cloud, @NotNull String location, @NotNull String imageDistribution, @NotNull String imageVersion, @NotNull Integer cores, @NotNull Integer memory, Integer disk,SecurityContext securityContext) throws NotFoundException;
}
